OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Interface PollContext

All Known Implementing Classes:
  DefaultPollContext, MockPollContext

public interface PollContext

Represents a PollContext

Author:
  brozow

Method Summary
`Event` `createEvent(java.lang.String uei, int nodeId, java.net.InetAddress address, java.lang.String svcName, java.util.Date date)`
`java.lang.String` `getCriticalServiceName()`
`boolean` `isNodeProcessingEnabled()`
`boolean` `isPollingAllIfCritServiceUndefined()`
`boolean` `isServiceUnresponsiveEnabled()`
`void` `openOutage(PollableService pSvc, PollEvent svcLostEvent)`
`void` `reparentOutages(java.lang.String ipAddr, int oldNodeId, int newNodeId)`
`void` `resolveOutage(PollableService pSvc, PollEvent svcRegainEvent)`
`PollEvent` `sendEvent(Event event)`

Method Detail

### getCriticalServiceName

    public java.lang.String getCriticalServiceName()

### isNodeProcessingEnabled

    public boolean isNodeProcessingEnabled()

  Returns:

### isPollingAllIfCritServiceUndefined

    public boolean isPollingAllIfCritServiceUndefined()

  Returns:

### sendEvent

    public PollEvent sendEvent(Event event)

  Parameters:
    `event` - the event to send
  Returns:
    the same event

### createEvent

    public Event createEvent(java.lang.String uei,
                             int nodeId,
                             java.net.InetAddress address,
                             java.lang.String svcName,
                             java.util.Date date)

  Parameters:
    `uei` -
    `nodeId` -
    `address` -
    `svcName` -
    `date` -
  Returns:

### openOutage

    public void openOutage(PollableService pSvc,
                           PollEvent svcLostEvent)

### resolveOutage

    public void resolveOutage(PollableService pSvc,
                              PollEvent svcRegainEvent)

### isServiceUnresponsiveEnabled

    public boolean isServiceUnresponsiveEnabled()

  Returns:

### reparentOutages

    public void reparentOutages(java.lang.String ipAddr,
                                int oldNodeId,
                                int newNodeId)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.